import type { Context } from '@opentelemetry/api';
import type { ReadableSpan, Span, SpanProcessor } from '@opentelemetry/sdk-trace-base';
export declare class GrafanaAgentSessionSpanProcessor implements SpanProcessor {
    private processor;
    constructor(processor: SpanProcessor);
    forceFlush(): Promise<void>;
    onStart(span: Span, parentContext: Context): void;
    onEnd(span: ReadableSpan): void;
    shutdown(): Promise<void>;
}
