import type { ExportResult } from '@opentelemetry/core';
import type { ReadableSpan, SpanExporter } from '@opentelemetry/sdk-trace-base';
import type { GrafanaAgentTraceExporterConfig } from './types';
export declare class GrafanaAgentTraceExporter implements SpanExporter {
    private config;
    constructor(config: GrafanaAgentTraceExporterConfig);
    export(spans: ReadableSpan[], resultCallback: (result: ExportResult) => void): void;
    shutdown(): Promise<void>;
}
